# $Revision: 1.5 $, $Date: 2011/11/28 09:09:26 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	GlobalDestruction
Summary:	Devel::GlobalDestruction - Expose PL_dirty, the flag which marks global destruction
Summary(pl.UTF-8):	Devel::GlobalDestruction - udostępnienie PL_dirty - flagi oznaczającej globalną destrukcję
Name:		perl-Devel-GlobalDestruction
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	823ee705f0c1c59cbf73cbab5bdf08f7
URL:		http://search.cpan.org/dist/Devel-GlobalDestruction/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scope-Guard
BuildRequires:	perl-Sub-Exporter
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::GlobalDestruction - expose PL_dirty, the flag which marks
global destruction.

%description -l pl.UTF-8
Devel::GlobalDestruction udostępnia PL_dirty - flagę oznaczającą
globalną destrukcję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Devel/GlobalDestruction.pm
%dir %{perl_vendorarch}/auto/Devel/GlobalDestruction
%{perl_vendorarch}/auto/Devel/GlobalDestruction/GlobalDestruction.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/GlobalDestruction/GlobalDestruction.so
%{_mandir}/man3/Devel::GlobalDestruction.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-GlobalDestruction.spec,v $
Revision 1.5  2011/11/28 09:09:26  arekm
- up to 0.04

Revision 1.4  2011/10/04 13:46:50  lisu
- rel 2

Revision 1.3  2011/02/22 17:08:11  qboosh
- updated to 0.03

Revision 1.2  2010/06/06 08:34:44  arekm
- release 2

Revision 1.1  2009/02/01 12:33:28  radek
- new
